Bug 1970008 - VDSM service fails if the vdsm log file (/var/log/vdsm/vdsm.log) is not owned by vdsm:kvm
Summary: VDSM service fails if the vdsm log file (/var/log/vdsm/vdsm.log) is not owned...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: vdsm
Classification: oVirt
Component: SuperVDSM
Version: 4.40.60.7
Hardware: x86_64
OS: Linux
medium
medium vote
Target Milestone: ovirt-4.4.7
: ---
Assignee: Lev Veyde
QA Contact: Guilherme Santos
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-06-09 15:43 UTC by Lev Veyde
Modified: 2021-07-14 13:09 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-14 13:09:05 UTC
oVirt Team: Integration
pm-rhel: ovirt-4.4+
sbonazzo: devel_ack+


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 115182 0 master MERGED Automatically fix bad ownership/access mode of vdsm log files 2021-06-11 14:52:28 UTC

Description Lev Veyde 2021-06-09 15:43:50 UTC
Description of problem:
VDSM service fails if the vdsm log file (/var/log/vdsm/vdsm.log) is not owned by vdsm:kvm.

Version-Release number of selected component (if applicable):
4.40.60.7

How reproducible:
100%

Steps to Reproduce:
1. change the ownership of /var/log/vdsm/vdsm.log to i.e. root:root
2. try to start the vdsm service (vdsmd)
3. the service fails to start

Actual results:
service fails to start

Expected results:
service should start normally, at most giving a warning

Comment 1 Lukas Svaty 2021-07-14 13:09:05 UTC
This bug has low overall severity and passed an automated regression 
suite, and is not going to be further verified by QE. If you believe 
special care is required, feel free to re-open to ON_QA status.


Note You need to log in before you can comment on or make changes to this bug.